Skip to main content
POST
Update

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

App identifier.

id
string
required

The id field.

Body

application/json

AuthzenServerServiceUpdateRequest updates a server via update_mask. The only editable path is mode.

authzenServer
Authzen Server · object | null

AuthzenServer is the customer-facing AuthZEN PDP endpoint for one App.

updateMask
string | null

Response

200 - application/json

AuthzenServerServiceUpdateResponse returns the updated server.

AuthzenServerServiceUpdateResponse returns the updated server.

authzenServer
Authzen Server · object | null

AuthzenServer is the customer-facing AuthZEN PDP endpoint for one App.